petsc-3.7.1 2016-05-15
Report Typos and Errors

# TSSetPostStep

Sets the general-purpose function called once at the end of each time step.

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSSetPostStep(TS ts, PetscErrorCode (*func)(TS))

Logically Collective on TS Many br

### Input Parameters

| ts | - The TS context obtained from TSCreate() Many br
| func | - The function Many br

### Calling sequence of func

    func (TS ts);

Many br

### Keywords

TS, timestep

### See Also

TSSetPreStep(), TSSetPreStage(), TSGetTimeStep(), TSGetTimeStepNumber(), TSGetTime()

Level:intermediate
Location:src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages